GST(1)

NAME
gst - GNU Smalltalk

SYNOPSIS
gst [options] files ...

DESCRIPTION
This manual page documents briefly the gst command. This manual page is not a full reference. The program, instead, has documentation in the GNU Info format; see below.

OPTIONS
The programs follow the usual GNU command line syntax, with long options starting with two dashes (`-').

-a, --smalltalk
    Make command line arguments available to smalltalk code.

-c, --core-dump
    Produce core dumps on fatal signals.

-d, --user-declaration-trace
    Trace compilation of user specified files.

-D, --kernel-declaration-trace
    Trace compilation of kernel and user specified files.

-e, --user-execution-trace
    Trace execution of files specified on the command line.

-E, --kernel-declaration-trace
    Trace execution of kernel and user files.

-g, --no-gc-messages
    Suppress garbage collection messages.

-h, -H, -?, --help
    Show summary of options.

-i, --rebuild-image
    Ignore the saved image file; always load from the kernel method definition files.

-I FILE, --image-file FILE
    Use FILE as the image file to load.

-l, --log-changes
    Produce a log of the compiled Smalltalk code to ./st-changes.st.

-L FILE, --log-file FILE
    Produce a log of the compiled Smalltalk code to the file FILE.

-q, --quiet, --silent
    Suppress the printing of execution information while running.

-Q, --no-messages
    Suppress the printing of execution information and any other informative message.

-r, --regression-test
    Disable certain informative I/O; used by the regression testing system.

-s, --store-no-source
    Store all methods' source code as FileSegments.

-S, --snapshot
    Save a snapshot after loading files from the command line.

-v, --version
    Show version of program.

-V, --verbose
    Print extra diagnostic information while running.

-y, --yacc-debug
    Turns on parser debugging.

SEE ALSO
GNU Smalltalk is documented more fully by the info pages. An excellent reference on Smalltalk in general is Smalltalk-80: the Language and its Implementation, by Adele Goldberg and David Robson.

AUTHOR
This manual page was written by Alexander Shinn <foof@debian.org>, for the Debian GNU/Linux system (but may be used by others).

GNU Smalltalk was developed by Steve Byrne, Paolo Bonzini, Brad Diller, with contributions from many others.